Summary: Translates an RPM database and dependency information into HTML.
Name: rpm2html 
%define version 1.5
Version: %{version}
Release: 5.7x
Group: Applications/System
Source0: ftp://rufus.w3.org/pub/rpm2html/rpm2html-%{version}.tar.gz
Patch0: rpm2html-1.5-rpm404.patch
URL: http://rufus.w3.org/linux/rpm2html/
Copyright: W3C Copyright (BSD like).
BuildPreReq: mysql-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.
Rpm2html analyzes the provides and requires of the given set of RPMs,
and then shows the dependency cross-references using hypertext links.
Rpm2html can now dump the metadata associated with RPM files into
standard RDF files.

Install rpm2html if you want a utility for translating information
from an RPM database into HTML.

%prep
%setup -q
%patch0 -p1 -b .rpm404
autoconf

%build

export LDFLAGS="-L%{_prefix}/lib/mysql"
%configure --sysconfdir=/etc --with-sql
make SQL_FLAGS="-DWITH_SQL ${LDFLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -d ${RPM_BUILD_ROOT}%{_datadir}/rpm2html
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1

install -s rpm2html ${RPM_BUILD_ROOT}%{_bindir}
install -s sql ${RPM_BUILD_ROOT}%{_bindir}/rpm2htmlsql

for i in msg.*
do
  install -m 0644 $i ${RPM_BUILD_ROOT}%{_datadir}/rpm2html/msg.$ll
done

install -m 0644 rpm2html.config  ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 0644 rpm2html.1  ${RPM_BUILD_ROOT}%{_mandir}/man1/rpm2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%{_bindir}/rpm2html*
%{_datadir}/rpm2html/msg.*
%{_mandir}/man1/*
%config %{_sysconfdir}/rpm2html.config

%changelog
* Fri Mar 15 2002 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0.4.

* Tue Dec 26 2000 Jeff Johnson <jbj@redhat.com>
- build against rpm-4.0.2-0.9.

* Tue Dec 12 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to remove 0777 directories.

* Thu Nov  2 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.5.
- enable mysql support by default.

* Fri Aug  4 2000 Jeff Johnson <jbj@redhat.com>
- remove exec permissions on data files.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- coagulate rpm310/rpm40 patch into one.
- better autoconf tests.

* Mon Jun 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0-0.40 (needs -ldb-3.1).

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- use _mandir macros
- build against new librpm to get correct libbz2 deps

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- use rpm-3.1 API (hack).

* Tue Feb 15 2000 Jeff Johnson <jbj@redhat.com>
- fix filename lossage with rpm-3.0.4.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
